use if ! ( grep { $_ eq '.' } @INC ), qw[lib .];
use lib 'inc';
use Devel::AssertOS qw[Linux];
# This file was automatically generated by Dist::Zilla::Plugin::MakeMaker v6.012.
use strict;
use warnings;

use 5.020000;

use ExtUtils::MakeMaker;

my %WriteMakefileArgs = (
  "ABSTRACT" => "wrapper around containers/buildah tool for multi-stage builds of OCI/Docker-compatible Linux containers",
  "AUTHOR" => "Ian Kluft <https://github.com/ikluft>",
  "BUILD_REQUIRES" => {
    "Module::Build" => "0.28"
  },
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0,
    "Module::Build" => "0.28"
  },
  "DISTNAME" => "Container-Buildah",
  "LICENSE" => "apache",
  "MIN_PERL_VERSION" => "5.020000",
  "NAME" => "Container::Buildah",
  "PREREQ_PM" => {
    "Algorithm::Dependency" => 0,
    "Algorithm::Dependency::Source::HoA" => 0,
    "Carp" => 0,
    "Class::Singleton" => 0,
    "Cwd" => 0,
    "Data::Dumper" => 0,
    "Exporter" => 0,
    "File::Slurp" => 0,
    "File::Sync" => 0,
    "File::stat" => 0,
    "FindBin" => 0,
    "Getopt::Long" => 0,
    "IO::Handle" => 0,
    "IPC::Run" => 0,
    "Modern::Perl" => 0,
    "POSIX" => 0,
    "Readonly" => 0,
    "Template" => 0,
    "YAML::XS" => 0,
    "autodie" => 0,
    "parent" => 0,
    "strict" => 0
  },
  "TEST_REQUIRES" => {
    "File::Basename" => 0,
    "File::Path" => 0,
    "Test::More" => 0,
    "Test::RequiresInternet" => 0,
    "warnings" => 0
  },
  "VERSION" => "0.3.0",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "Algorithm::Dependency" => 0,
  "Algorithm::Dependency::Source::HoA" => 0,
  "Carp" => 0,
  "Class::Singleton" => 0,
  "Cwd" => 0,
  "Data::Dumper" => 0,
  "Exporter" => 0,
  "File::Basename" => 0,
  "File::Path" => 0,
  "File::Slurp" => 0,
  "File::Sync" => 0,
  "File::stat" => 0,
  "FindBin" => 0,
  "Getopt::Long" => 0,
  "IO::Handle" => 0,
  "IPC::Run" => 0,
  "Modern::Perl" => 0,
  "Module::Build" => "0.28",
  "POSIX" => 0,
  "Readonly" => 0,
  "Template" => 0,
  "Test::More" => 0,
  "Test::RequiresInternet" => 0,
  "YAML::XS" => 0,
  "autodie" => 0,
  "parent" => 0,
  "strict" => 0,
  "warnings" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);
